package com.steerinfo.meterwork.meterworkrailwayactfirstbak.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计量轨道衡一次数据表")
public class MeterWorkRailwayActFirstBak implements IBasePO<String> {
    /**
     * 计量作业编号（YYYYMMDD+6位流水）(ACTUAL_FIRST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量作业编号（YYYYMMDD+6位流水）",required=true)
    private String actualFirstNo;

    /**
     * 预报编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号",required=false)
    private String predictionNo;

    /**
     * 通知单号(NOTICE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="通知单号",required=false)
    private String noticeNo;

    /**
     * 火车车号(RAILWAY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="火车车号",required=false)
    private String railwayNo;

    /**
     * 车厢序号(RAILWAY_CARRIAGE_NO,VARCHAR,2)
     */
    @ApiModelProperty(value="车厢序号",required=false)
    private String railwayCarriageNo;

    /**
     * 列车作业编号(RAILWAY_WORK_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="列车作业编号",required=false)
    private String railwayWorkNo;

    /**
     * 车速(RAILWAY_SPEED,DECIMAL,10)
     */
    @ApiModelProperty(value="车速",required=false)
    private BigDecimal railwaySpeed;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 合同号(CONTRACT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="合同号",required=false)
    private String contractNo;

    /**
     * 批次号(BATCH_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="批次号",required=false)
    private String batchNo;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 材质编号(MATERIAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="材质编号",required=false)
    private String materialNo;

    /**
     * 材质名称(MATERIAL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="材质名称",required=false)
    private String materialName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 发运毛重(SHIPMENT_GROSS_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运毛重",required=false)
    private BigDecimal shipmentGrossWeight;

    /**
     * 发运净重(SHIPMENT_NET_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运净重",required=false)
    private BigDecimal shipmentNetWeight;

    /**
     * 发运数量(SHIPMENT_NUM,DECIMAL,5)
     */
    @ApiModelProperty(value="发运数量",required=false)
    private Integer shipmentNum;

    /**
     * 绑定卡号(BIND_CARD_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="绑定卡号",required=false)
    private String bindCardNo;

    /**
     * 卸货地点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="卸货地点编号",required=false)
    private String loadPointNo;

    /**
     * 卸货地点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="卸货地点名称",required=false)
    private String loadPointName;

    /**
     * 取样编号(SAMPLE_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="取样编号",required=false)
    private String sampleNo;

    /**
     * 取样凭证(SAMPLE_VOUCHER,VARCHAR,40)
     */
    @ApiModelProperty(value="取样凭证",required=false)
    private String sampleVoucher;

    /**
     * 承运单位编号(CARRIER_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="承运单位编号",required=false)
    private String carrierUnitNo;

    /**
     * 承运单位名称(CARRIER_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="承运单位名称",required=false)
    private String carrierUnitName;

    /**
     * 预报类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报）(PREDICTION_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="预报类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报）",required=false)
    private String predictionType;

    /**
     * 预报组合(PREDICTION_COMBINATION,VARCHAR,100)
     */
    @ApiModelProperty(value="预报组合",required=false)
    private String predictionCombination;

    /**
     * 计量类型编号（业务类型）(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号（业务类型）",required=false)
    private String meterTypeNo;

    /**
     * 计量类型名称（业务类型）(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称（业务类型）",required=false)
    private String meterTypeName;

    /**
     * 计量流程编号(METER_PROCESS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量流程编号",required=false)
    private String meterProcessNo;

    /**
     * 计量流程版本号(METER_PROCESS_EDITION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量流程版本号",required=false)
    private String meterProcessEditionNo;

    /**
     * 计量重量(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="计量重量",required=false)
    private BigDecimal meterWeight;

    /**
     * 重量类型（0=毛重；1=常规皮重；2=期限皮重；3=历史皮重；4=标识皮重；5=自重皮重）(WEIGHT_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="重量类型（0=毛重；1=常规皮重；2=期限皮重；3=历史皮重；4=标识皮重；5=自重皮重）",required=false)
    private String weightType;

    /**
     * 分检重量(METER_SORT_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="分检重量",required=false)
    private BigDecimal meterSortWeight;

    /**
     * 结算重量(METER_BALANCE_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="结算重量",required=false)
    private BigDecimal meterBalanceWeight;

    /**
     * 计量员编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量员编号",required=false)
    private String createManNo;

    /**
     * 计量员姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量员姓名",required=false)
    private String createManName;

    /**
     * 计量时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 班次(METER_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="班次",required=false)
    private String meterClass;

    /**
     * 班组(METER_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="班组",required=false)
    private String meterGroup;

    /**
     * 备注(MEMO,VARCHAR,2000)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0=作废，1=有效(已匹配)，2=结净，3=未匹配）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0=作废，1=有效(已匹配)，2=结净，3=未匹配）",required=false)
    private String valueFlag;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 审核状态（0：未审核；1：已审核）(CHECK_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="审核状态（0：未审核；1：已审核）",required=false)
    private String checkFlag;

    /**
     * 审核人编号(CHECK_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="审核人编号",required=false)
    private String checkManNo;

    /**
     * 审核人姓名(CHECK_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="审核人姓名",required=false)
    private String checkManName;

    /**
     * 审核时间（YYYY-MM-DD HH:mm:SS）(CHECK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="审核时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date checkTime;

    /**
     * 计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）(METER_MODE,VARCHAR,1)
     */
    @ApiModelProperty(value="计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）",required=false)
    private String meterMode;

    /**
     * 轨道衡类型编号(RAILWAY_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="轨道衡类型编号",required=false)
    private String railwayTypeNo;

    /**
     * 轨道衡类型名称(RAILWAY_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="轨道衡类型名称",required=false)
    private String railwayTypeName;

    /**
     * 是否危化品(IS_CHEMICAL,VARCHAR,1)
     */
    @ApiModelProperty(value="是否危化品",required=false)
    private String isChemical;

    /**
     * 限载重量(LIMIT_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="限载重量",required=false)
    private BigDecimal limitWeight;

    /**
     * 车型编号(RAILWAY_MODEL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车型编号",required=false)
    private String railwayModelNo;

    /**
     * 车型名称(RAILWAY_MODEL_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="车型名称",required=false)
    private String railwayModelName;

    /**
     * 车型标重（第一次为计量员填写）(RAILWAY_FACTORY_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="车型标重（第一次为计量员填写）",required=false)
    private BigDecimal railwayFactoryWeight;

    /**
     * 水分(WATER_NUM,DECIMAL,10)
     */
    @ApiModelProperty(value="水分",required=false)
    private BigDecimal waterNum;

    /**
     * 到站(ARRIVAL,VARCHAR,40)
     */
    @ApiModelProperty(value="到站",required=false)
    private String arrival;

    /**
     * 发站(STATION,VARCHAR,40)
     */
    @ApiModelProperty(value="发站",required=false)
    private String station;

    /**
     * 原产地(SOURCE_AREA,VARCHAR,50)
     */
    @ApiModelProperty(value="原产地",required=false)
    private String sourceArea;

    /**
     * 主凭据号(VOUCHER_IDENTITY,VARCHAR,30)
     */
    @ApiModelProperty(value="主凭据号",required=false)
    private String voucherIdentity;

    /**
     * 主凭据行(VOUCHER_ITEM,VARCHAR,30)
     */
    @ApiModelProperty(value="主凭据行",required=false)
    private String voucherItem;

    /**
     * 主业务类型组(BUSINESS_GROUP,VARCHAR,30)
     */
    @ApiModelProperty(value="主业务类型组",required=false)
    private String businessGroup;

    /**
     * 临时牌号(TEMP_CONVEYANCE,VARCHAR,30)
     */
    @ApiModelProperty(value="临时牌号",required=false)
    private String tempConveyance;

    /**
     * 车型(CONVEYANCE_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="车型",required=false)
    private String conveyanceType;

    /**
     * 委托源系统(RESOURCE_SYSTEM,VARCHAR,30)
     */
    @ApiModelProperty(value="委托源系统",required=false)
    private String resourceSystem;

    /**
     * 分组计件件量(GROUP_PACKAGE_AMOUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="分组计件件量",required=false)
    private Long groupPackageAmount;

    /**
     * 分组计量单位(GROUP_PACKAGE_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="分组计量单位",required=false)
    private String groupPackageUnit;

    /**
     * 标准件数(PACKAGE_AMOUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="标准件数",required=false)
    private Long packageAmount;

    /**
     * 计件单位(PACKAGE_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="计件单位",required=false)
    private String packageUnit;

    /**
     * 理论量(THEORY_AMOUNT,DECIMAL,16)
     */
    @ApiModelProperty(value="理论量",required=false)
    private BigDecimal theoryAmount;

    /**
     * 计量组批号(MEASURE_BATCH,VARCHAR,30)
     */
    @ApiModelProperty(value="计量组批号",required=false)
    private String measureBatch;

    /**
     * 计量组批车数(MEASURE_BATCH_COUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="计量组批车数",required=false)
    private Long measureBatchCount;

    /**
     * 发货点类型(SENDER_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="发货点类型",required=false)
    private String senderType;

    /**
     * 发货点备注(SENDER_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="发货点备注",required=false)
    private String senderRemark;

    /**
     * 收货点类型(RECEIVER_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="收货点类型",required=false)
    private String receiverType;

    /**
     * 收货点备注(RECEIVER_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="收货点备注",required=false)
    private String receiverRemark;

    /**
     * 计量单位(AMOUNT_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="计量单位",required=false)
    private String amountUnit;

    /**
     * 计量对象类型(MEASURE_OBJECT_TYPE,VARCHAR,50)
     */
    @ApiModelProperty(value="计量对象类型",required=false)
    private String measureObjectType;

    /**
     * 计量任务号(MEASURE_TASK_NUM,VARCHAR,30)
     */
    @ApiModelProperty(value="计量任务号",required=false)
    private String measureTaskNum;

    /**
     * 数据来源(1=智能终端，2=本地计量，3=应急计量，4=手动录入(计量票据录入))(DATA_SOURCE,VARCHAR,2)
     */
    @ApiModelProperty(value="数据来源(1=智能终端，2=本地计量，3=应急计量，4=手动录入(计量票据录入))",required=false)
    private String dataSource;

    /**
     * 操作原因(NOTE,VARCHAR,100)
     */
    @ApiModelProperty(value="操作原因",required=false)
    private String note;

    /**
     * 车次号(TRAIN_NUMBER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车次号",required=false)
    private String trainNumberNo;

    /**
     * 是否匹配委托(0：未匹配,1：已匹配)(IS_PRE_SACALE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否匹配委托(0：未匹配,1：已匹配)",required=false)
    private String isPreSacale;

    /**
     * 是否集装箱超过1.5（0：未超过,1：已超过）(HC15,VARCHAR,1)
     */
    @ApiModelProperty(value="是否集装箱超过1.5（0：未超过,1：已超过）",required=false)
    private String hc15;

    /**
     * 是否委托撤销（0：正常,1:已撤销）(CANCEL_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否委托撤销（0：正常,1:已撤销）",required=false)
    private String cancelType;

    /**
     * 列次编号(LC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="列次编号",required=false)
    private String lcNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualFirstNo;
    }

    @Override
    public void setId(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo == null ? null : noticeNo.trim();
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public String getRailwayCarriageNo() {
        return railwayCarriageNo;
    }

    public void setRailwayCarriageNo(String railwayCarriageNo) {
        this.railwayCarriageNo = railwayCarriageNo == null ? null : railwayCarriageNo.trim();
    }

    public String getRailwayWorkNo() {
        return railwayWorkNo;
    }

    public void setRailwayWorkNo(String railwayWorkNo) {
        this.railwayWorkNo = railwayWorkNo == null ? null : railwayWorkNo.trim();
    }

    public BigDecimal getRailwaySpeed() {
        return railwaySpeed;
    }

    public void setRailwaySpeed(BigDecimal railwaySpeed) {
        this.railwaySpeed = railwaySpeed;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo == null ? null : contractNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public BigDecimal getShipmentGrossWeight() {
        return shipmentGrossWeight;
    }

    public void setShipmentGrossWeight(BigDecimal shipmentGrossWeight) {
        this.shipmentGrossWeight = shipmentGrossWeight;
    }

    public BigDecimal getShipmentNetWeight() {
        return shipmentNetWeight;
    }

    public void setShipmentNetWeight(BigDecimal shipmentNetWeight) {
        this.shipmentNetWeight = shipmentNetWeight;
    }

    public Integer getShipmentNum() {
        return shipmentNum;
    }

    public void setShipmentNum(Integer shipmentNum) {
        this.shipmentNum = shipmentNum;
    }

    public String getBindCardNo() {
        return bindCardNo;
    }

    public void setBindCardNo(String bindCardNo) {
        this.bindCardNo = bindCardNo == null ? null : bindCardNo.trim();
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getSampleNo() {
        return sampleNo;
    }

    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo == null ? null : sampleNo.trim();
    }

    public String getSampleVoucher() {
        return sampleVoucher;
    }

    public void setSampleVoucher(String sampleVoucher) {
        this.sampleVoucher = sampleVoucher == null ? null : sampleVoucher.trim();
    }

    public String getCarrierUnitNo() {
        return carrierUnitNo;
    }

    public void setCarrierUnitNo(String carrierUnitNo) {
        this.carrierUnitNo = carrierUnitNo == null ? null : carrierUnitNo.trim();
    }

    public String getCarrierUnitName() {
        return carrierUnitName;
    }

    public void setCarrierUnitName(String carrierUnitName) {
        this.carrierUnitName = carrierUnitName == null ? null : carrierUnitName.trim();
    }

    public String getPredictionType() {
        return predictionType;
    }

    public void setPredictionType(String predictionType) {
        this.predictionType = predictionType == null ? null : predictionType.trim();
    }

    public String getPredictionCombination() {
        return predictionCombination;
    }

    public void setPredictionCombination(String predictionCombination) {
        this.predictionCombination = predictionCombination == null ? null : predictionCombination.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getMeterProcessNo() {
        return meterProcessNo;
    }

    public void setMeterProcessNo(String meterProcessNo) {
        this.meterProcessNo = meterProcessNo == null ? null : meterProcessNo.trim();
    }

    public String getMeterProcessEditionNo() {
        return meterProcessEditionNo;
    }

    public void setMeterProcessEditionNo(String meterProcessEditionNo) {
        this.meterProcessEditionNo = meterProcessEditionNo == null ? null : meterProcessEditionNo.trim();
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getWeightType() {
        return weightType;
    }

    public void setWeightType(String weightType) {
        this.weightType = weightType == null ? null : weightType.trim();
    }

    public BigDecimal getMeterSortWeight() {
        return meterSortWeight;
    }

    public void setMeterSortWeight(BigDecimal meterSortWeight) {
        this.meterSortWeight = meterSortWeight;
    }

    public BigDecimal getMeterBalanceWeight() {
        return meterBalanceWeight;
    }

    public void setMeterBalanceWeight(BigDecimal meterBalanceWeight) {
        this.meterBalanceWeight = meterBalanceWeight;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getMeterClass() {
        return meterClass;
    }

    public void setMeterClass(String meterClass) {
        this.meterClass = meterClass == null ? null : meterClass.trim();
    }

    public String getMeterGroup() {
        return meterGroup;
    }

    public void setMeterGroup(String meterGroup) {
        this.meterGroup = meterGroup == null ? null : meterGroup.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag == null ? null : checkFlag.trim();
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo == null ? null : checkManNo.trim();
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName == null ? null : checkManName.trim();
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getMeterMode() {
        return meterMode;
    }

    public void setMeterMode(String meterMode) {
        this.meterMode = meterMode == null ? null : meterMode.trim();
    }

    public String getRailwayTypeNo() {
        return railwayTypeNo;
    }

    public void setRailwayTypeNo(String railwayTypeNo) {
        this.railwayTypeNo = railwayTypeNo == null ? null : railwayTypeNo.trim();
    }

    public String getRailwayTypeName() {
        return railwayTypeName;
    }

    public void setRailwayTypeName(String railwayTypeName) {
        this.railwayTypeName = railwayTypeName == null ? null : railwayTypeName.trim();
    }

    public String getIsChemical() {
        return isChemical;
    }

    public void setIsChemical(String isChemical) {
        this.isChemical = isChemical == null ? null : isChemical.trim();
    }

    public BigDecimal getLimitWeight() {
        return limitWeight;
    }

    public void setLimitWeight(BigDecimal limitWeight) {
        this.limitWeight = limitWeight;
    }

    public String getRailwayModelNo() {
        return railwayModelNo;
    }

    public void setRailwayModelNo(String railwayModelNo) {
        this.railwayModelNo = railwayModelNo == null ? null : railwayModelNo.trim();
    }

    public String getRailwayModelName() {
        return railwayModelName;
    }

    public void setRailwayModelName(String railwayModelName) {
        this.railwayModelName = railwayModelName == null ? null : railwayModelName.trim();
    }

    public BigDecimal getRailwayFactoryWeight() {
        return railwayFactoryWeight;
    }

    public void setRailwayFactoryWeight(BigDecimal railwayFactoryWeight) {
        this.railwayFactoryWeight = railwayFactoryWeight;
    }

    public BigDecimal getWaterNum() {
        return waterNum;
    }

    public void setWaterNum(BigDecimal waterNum) {
        this.waterNum = waterNum;
    }

    public String getArrival() {
        return arrival;
    }

    public void setArrival(String arrival) {
        this.arrival = arrival == null ? null : arrival.trim();
    }

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station == null ? null : station.trim();
    }

    public String getSourceArea() {
        return sourceArea;
    }

    public void setSourceArea(String sourceArea) {
        this.sourceArea = sourceArea == null ? null : sourceArea.trim();
    }

    public String getVoucherIdentity() {
        return voucherIdentity;
    }

    public void setVoucherIdentity(String voucherIdentity) {
        this.voucherIdentity = voucherIdentity == null ? null : voucherIdentity.trim();
    }

    public String getVoucherItem() {
        return voucherItem;
    }

    public void setVoucherItem(String voucherItem) {
        this.voucherItem = voucherItem == null ? null : voucherItem.trim();
    }

    public String getBusinessGroup() {
        return businessGroup;
    }

    public void setBusinessGroup(String businessGroup) {
        this.businessGroup = businessGroup == null ? null : businessGroup.trim();
    }

    public String getTempConveyance() {
        return tempConveyance;
    }

    public void setTempConveyance(String tempConveyance) {
        this.tempConveyance = tempConveyance == null ? null : tempConveyance.trim();
    }

    public String getConveyanceType() {
        return conveyanceType;
    }

    public void setConveyanceType(String conveyanceType) {
        this.conveyanceType = conveyanceType == null ? null : conveyanceType.trim();
    }

    public String getResourceSystem() {
        return resourceSystem;
    }

    public void setResourceSystem(String resourceSystem) {
        this.resourceSystem = resourceSystem == null ? null : resourceSystem.trim();
    }

    public Long getGroupPackageAmount() {
        return groupPackageAmount;
    }

    public void setGroupPackageAmount(Long groupPackageAmount) {
        this.groupPackageAmount = groupPackageAmount;
    }

    public String getGroupPackageUnit() {
        return groupPackageUnit;
    }

    public void setGroupPackageUnit(String groupPackageUnit) {
        this.groupPackageUnit = groupPackageUnit == null ? null : groupPackageUnit.trim();
    }

    public Long getPackageAmount() {
        return packageAmount;
    }

    public void setPackageAmount(Long packageAmount) {
        this.packageAmount = packageAmount;
    }

    public String getPackageUnit() {
        return packageUnit;
    }

    public void setPackageUnit(String packageUnit) {
        this.packageUnit = packageUnit == null ? null : packageUnit.trim();
    }

    public BigDecimal getTheoryAmount() {
        return theoryAmount;
    }

    public void setTheoryAmount(BigDecimal theoryAmount) {
        this.theoryAmount = theoryAmount;
    }

    public String getMeasureBatch() {
        return measureBatch;
    }

    public void setMeasureBatch(String measureBatch) {
        this.measureBatch = measureBatch == null ? null : measureBatch.trim();
    }

    public Long getMeasureBatchCount() {
        return measureBatchCount;
    }

    public void setMeasureBatchCount(Long measureBatchCount) {
        this.measureBatchCount = measureBatchCount;
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType == null ? null : senderType.trim();
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark == null ? null : senderRemark.trim();
    }

    public String getReceiverType() {
        return receiverType;
    }

    public void setReceiverType(String receiverType) {
        this.receiverType = receiverType == null ? null : receiverType.trim();
    }

    public String getReceiverRemark() {
        return receiverRemark;
    }

    public void setReceiverRemark(String receiverRemark) {
        this.receiverRemark = receiverRemark == null ? null : receiverRemark.trim();
    }

    public String getAmountUnit() {
        return amountUnit;
    }

    public void setAmountUnit(String amountUnit) {
        this.amountUnit = amountUnit == null ? null : amountUnit.trim();
    }

    public String getMeasureObjectType() {
        return measureObjectType;
    }

    public void setMeasureObjectType(String measureObjectType) {
        this.measureObjectType = measureObjectType == null ? null : measureObjectType.trim();
    }

    public String getMeasureTaskNum() {
        return measureTaskNum;
    }

    public void setMeasureTaskNum(String measureTaskNum) {
        this.measureTaskNum = measureTaskNum == null ? null : measureTaskNum.trim();
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getTrainNumberNo() {
        return trainNumberNo;
    }

    public void setTrainNumberNo(String trainNumberNo) {
        this.trainNumberNo = trainNumberNo == null ? null : trainNumberNo.trim();
    }

    public String getIsPreSacale() {
        return isPreSacale;
    }

    public void setIsPreSacale(String isPreSacale) {
        this.isPreSacale = isPreSacale == null ? null : isPreSacale.trim();
    }

    public String getHc15() {
        return hc15;
    }

    public void setHc15(String hc15) {
        this.hc15 = hc15 == null ? null : hc15.trim();
    }

    public String getCancelType() {
        return cancelType;
    }

    public void setCancelType(String cancelType) {
        this.cancelType = cancelType == null ? null : cancelType.trim();
    }

    public String getLcNo() {
        return lcNo;
    }

    public void setLcNo(String lcNo) {
        this.lcNo = lcNo == null ? null : lcNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", noticeNo=").append(noticeNo);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", railwayCarriageNo=").append(railwayCarriageNo);
        sb.append(", railwayWorkNo=").append(railwayWorkNo);
        sb.append(", railwaySpeed=").append(railwaySpeed);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", contractNo=").append(contractNo);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", materialNo=").append(materialNo);
        sb.append(", materialName=").append(materialName);
        sb.append(", specNo=").append(specNo);
        sb.append(", specName=").append(specName);
        sb.append(", shipmentGrossWeight=").append(shipmentGrossWeight);
        sb.append(", shipmentNetWeight=").append(shipmentNetWeight);
        sb.append(", shipmentNum=").append(shipmentNum);
        sb.append(", bindCardNo=").append(bindCardNo);
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", sampleNo=").append(sampleNo);
        sb.append(", sampleVoucher=").append(sampleVoucher);
        sb.append(", carrierUnitNo=").append(carrierUnitNo);
        sb.append(", carrierUnitName=").append(carrierUnitName);
        sb.append(", predictionType=").append(predictionType);
        sb.append(", predictionCombination=").append(predictionCombination);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", meterProcessNo=").append(meterProcessNo);
        sb.append(", meterProcessEditionNo=").append(meterProcessEditionNo);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", weightType=").append(weightType);
        sb.append(", meterSortWeight=").append(meterSortWeight);
        sb.append(", meterBalanceWeight=").append(meterBalanceWeight);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", meterClass=").append(meterClass);
        sb.append(", meterGroup=").append(meterGroup);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", checkFlag=").append(checkFlag);
        sb.append(", checkManNo=").append(checkManNo);
        sb.append(", checkManName=").append(checkManName);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", meterMode=").append(meterMode);
        sb.append(", railwayTypeNo=").append(railwayTypeNo);
        sb.append(", railwayTypeName=").append(railwayTypeName);
        sb.append(", isChemical=").append(isChemical);
        sb.append(", limitWeight=").append(limitWeight);
        sb.append(", railwayModelNo=").append(railwayModelNo);
        sb.append(", railwayModelName=").append(railwayModelName);
        sb.append(", railwayFactoryWeight=").append(railwayFactoryWeight);
        sb.append(", waterNum=").append(waterNum);
        sb.append(", arrival=").append(arrival);
        sb.append(", station=").append(station);
        sb.append(", sourceArea=").append(sourceArea);
        sb.append(", voucherIdentity=").append(voucherIdentity);
        sb.append(", voucherItem=").append(voucherItem);
        sb.append(", businessGroup=").append(businessGroup);
        sb.append(", tempConveyance=").append(tempConveyance);
        sb.append(", conveyanceType=").append(conveyanceType);
        sb.append(", resourceSystem=").append(resourceSystem);
        sb.append(", groupPackageAmount=").append(groupPackageAmount);
        sb.append(", groupPackageUnit=").append(groupPackageUnit);
        sb.append(", packageAmount=").append(packageAmount);
        sb.append(", packageUnit=").append(packageUnit);
        sb.append(", theoryAmount=").append(theoryAmount);
        sb.append(", measureBatch=").append(measureBatch);
        sb.append(", measureBatchCount=").append(measureBatchCount);
        sb.append(", senderType=").append(senderType);
        sb.append(", senderRemark=").append(senderRemark);
        sb.append(", receiverType=").append(receiverType);
        sb.append(", receiverRemark=").append(receiverRemark);
        sb.append(", amountUnit=").append(amountUnit);
        sb.append(", measureObjectType=").append(measureObjectType);
        sb.append(", measureTaskNum=").append(measureTaskNum);
        sb.append(", dataSource=").append(dataSource);
        sb.append(", note=").append(note);
        sb.append(", trainNumberNo=").append(trainNumberNo);
        sb.append(", isPreSacale=").append(isPreSacale);
        sb.append(", hc15=").append(hc15);
        sb.append(", cancelType=").append(cancelType);
        sb.append(", lcNo=").append(lcNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}